.oak-image {
    width: 100%;
    background-position: center;
    background-size: cover;
    aspect-ratio: 5/2;
}

.oak-row-2-col-50-50 .oak-image {
    max-width: 50%;
    aspect-ratio: unset;
}

.oak-row-2-col-50-50 .oak-image:before {
    padding-bottom: 75%; /* 4/3 */
    content: "";
    float: left;
}

.oak-row-2-col-50-50 .oak-image:after {
    display: table;
    content: "";
    clear: both;
}

.oak-image iframe,
.oak-image video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

@media (max-width: 1024px) {
    .oak-image,
    .oak-row-2-col-50-50 .oak-image {
        max-width: 100%;
        order: 0;
        aspect-ratio: 16/9;
    }

    .oak-row-2-col-50-50 .oak-image:before,
    .oak-row-2-col-50-50 .oak-image:after {
        content: none;
    }
}

@media (max-width: 768px) {
    .oak-image,
    .oak-row-2-col-50-50 .oak-image {
        aspect-ratio: 1;
    }
}
